Kerbal Space Program - Bug #2350

Vessel Rotates without Input or SAS Active
04/05/2014 12:36 AM - GiggityOne45

Status: Closed Start date: 04/05/2014
Severity: Very Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.23.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Issue: After a certain period of time in an orbit, a vessel will acquire a "memory" of a direction, similar to the behavior of a car
"drifting" in a direction after a front tire has gone flat.

Notes:

The issue first appeared when detaching a stage while executing an orbital insertion burn around the MA"4n ( the last stage before
the 3 radial engines begin burning ).

The issue persists whether SAS is enabled or disabled ( toggled ).

Disabling ALL Reaction Wheels on the vessel fails to resolve the issue; the vessel will continue spinning.

An application restart fails to resolve the issue.

History

#1 - 04/26/2014 08:07 PM - Claw
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This is because both of your craft have trim inputs. Turning off the SAS causes your craft to do whatever the trim is telling them. Press ALT-X to zero
out the trim.

#2 - 07/06/2014 10:01 PM - GiggityOne45

I think I've finally figured out the exact point the problem starts to appear. Anytime RCS or Reaction Wheels are used during physical time warp, the
"memory effect starts". This effect does not normally appear on 1x warp, but will appear after usage of 4x warp. The same general steps as reported
above still apply:

Build a ship that posesses RCS and/or Reaction wheels and is capable of achieving orbit.
Use RCS and Reaction wheels during 4x warp. The "memory" will accumulate during this time.
Dropping out of 4x warp will result in said issue above.

Pressing ALT-X as reported by Claw above fixes the issue. Please point to additional documentation regarding the definition of trim input and its
usage in KSP.

#3 - 11/17/2015 02:53 PM - sal_vager
- Status changed from Confirmed to Closed
- Severity changed from Normal to Very Low

- % Done changed from 10 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Not a bug, player applied trim to the vessel.
